> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get topic

Get a topic by ID with its subscriptions.

` GET /topics/{id} `

Get topic

Get a topic by ID with its subscriptions.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` id ` (path, required)

Resource ID (32-char hex)

- ` value `: type ` string ` — Resource ID (32-char hex)

  - example: ` "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6" `

  - minLength: ` 1 `

Example:

```json
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
```

## Responses

### ` 200 ` — Topic with subscriptions

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` topic `, ` subscriptions `

  - ` topic `: type ` object `; nullable

    - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` slug `, ` description `, ` schema `, ` status `, ` created_at `, ` updated_at `

    - ` id `: type ` string `

    - ` org_id `: type ` string `

    - ` env_id `: type ` string `

    - ` name `: type ` string `

    - ` slug `: type ` string `

    - ` description `: type ` string `; nullable

    - ` schema `: type ` string `; nullable

    - ` status `: type ` string `

    - ` created_at `: type ` string `

    - ` updated_at `: type ` string `

  - ` subscriptions `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` org_id `, ` env_id `, ` topic_id `, ` destination_id `, ` filter_rules `, ` transform_expression `, ` enabled `, ` created_at `, ` destination_name `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` topic_id `: type ` string `

      - ` destination_id `: type ` string `

      - ` filter_rules `: type ` string `; nullable

      - ` transform_expression `: type ` string `; nullable

      - ` enabled `: type ` integer `

      - ` created_at `: type ` string `

      - ` destination_name `: type ` string `; nullable

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 404 ` — Not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```